aboutsummaryrefslogtreecommitdiffstats
path: root/core/openssl/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2008-11-05 22:38:42 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2008-11-05 22:38:42 +0000
commit0bfad66e6c1a0f57006b2e6f488c62168bdd8bf4 (patch)
treebc02450d1c034151731837bc226475134411df73 /core/openssl/APKBUILD
parent5bc219893b522bed577ad31d95361d9ca6d1eb56 (diff)
downloadaports-0bfad66e6c1a0f57006b2e6f488c62168bdd8bf4.tar.gz
aports-0bfad66e6c1a0f57006b2e6f488c62168bdd8bf4.tar.bz2
aports-0bfad66e6c1a0f57006b2e6f488c62168bdd8bf4.tar.xz
core/openssl: new aport
Diffstat (limited to 'core/openssl/APKBUILD')
-rw-r--r--core/openssl/APKBUILD26
1 files changed, 26 insertions, 0 deletions
diff --git a/core/openssl/APKBUILD b/core/openssl/APKBUILD
new file mode 100644
index 0000000000..c1c316fd45
--- /dev/null
+++ b/core/openssl/APKBUILD
@@ -0,0 +1,26 @@
+pkgname=openssl
+pkgver=0.9.8i
+pkgrel=0
+subpackages="dev doc"
+url=http://openssl.org
+depends="uclibc"
+makedepends="perl"
+source="http://www.openssl.org/source/${pkgname}-${pkgver}.tar.gz
+ http://www.linuxfromscratch.org/patches/blfs/svn/openssl-0.9.8g-fix_manpages-1.patch
+ openssl-bb-basename.patch
+ "
+
+build() {
+ cd $startdir/src/$pkgname-$pkgver
+
+ patch -p1 -i ../openssl-0.9.8g-fix_manpages-1.patch || return 1
+ patch -p1 -i ../openssl-bb-basename.patch || return 1
+ ./config --prefix=/usr --openssldir=/etc/ssl shared
+
+ make -j1 || return 1
+ make INSTALL_PREFIX=$startdir/pkg MANDIR=/usr/share/man install
+}
+
+md5sums="561e00f18821c74b2b86c8c7786f9d8b openssl-0.9.8i.tar.gz
+04a6a88c2ee4badd4f8649792b73eaf3 openssl-0.9.8g-fix_manpages-1.patch
+c6a9857a5dbd30cead0404aa7dd73977 openssl-bb-basename.patch"